# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Product Configuration response codes Error codes help you debug issues that occur as a result of sending badly formatted requests. The `responseMessage` is a short string that provides a brief explanation. The following tables list the available reason codes, as well as their possible causes. The following fields are in the body of the response: - responseStatus: Valid values include: SUCCESS, DENIED, or ERROR. SUCCESS means the request was approved by the issuer or completed successfully. ERROR is only returned for 4XX or 5XX responses. - responseCode: This field contains a shorter description of the processing result. For 200 responses, this may be displayed to the consumer. - responseMessage: This field contains a longer, more descriptive message. These messages are not intended to be displayed to the consumer. - hostMessage: The term "host" refers to the system from which J.P. Morgan has received a response. The hostMessage is mapped to J.P. Morgan’s response fields, but the unaltered message is returned, if received. For 5XX responses, the presence of this field indicates where the error exists. ## Successful responses (200 - 209) A `202` status code indicates that the request was successfully processed, but does not necessarily mean that the merchant was approved. **200 responses** | Scenario | HTTP status | Description | | --- | --- | --- | | Success | 200 | Request was successful and the server returned the requested data. | | Created | 201 | Request was successful and a new resource was created as a result. | ## Client error responses (400 - 499) A `4XX` status code indicates that an error has occurred during the request. Additional fields are provided in the body of the response to help identify the error. These are anticipated errors based on the input, so the caller should address the problem before resubmitting the request. **400 responses** | Scenario | HTTP status | Description | | --- | --- | --- | | Bad request | 400 | The server could not understand the request due to invalid syntax or missing parameters. | | Unauthorized | 401 | Authenticate the request and try again. | | Forbidden | 403 | The request authentication was not permitted access to the resource. | | Resource not found | 404 | The requested resource could not be found on the server. | | Conflict | 409 | There was a request conflict with the current resource, please try again. | | Too many request | 429 | The client has sent too many requests in a given time frame. | ## Server error responses (500 - 599) A `5XX` status code indicates that an error has occurred within the J.P. Morgan environment during the request. Additional fields are provided in the body of the response to help identify the error. **500 responses** | Scenario | HTTP status | Description | | --- | --- | --- | | Internal server error | 500 | Server error, please retry. | | Service unavailable | 503 | The system is unavailable, please retry later. |